# HG changeset patch
# Node ID cfc5a850d03b
# Parent  ccf4a4168c91
diff --git a/pidgin/meson.build b/pidgin/meson.build
--- a/pidgin/meson.build
+++ b/pidgin/meson.build
@@ -239,7 +239,7 @@ if ENABLE_GTK
 	libpidgin = shared_library('pidgin3',
 	    libpidgin_SOURCES + libpidgin_built_sources + libpidgin_built_headers + ['pidginprivate.h'],
 	    package_revision,
-	    c_args : ['-DPIDGIN_COMPILATION', '-DG_LOG_DOMAIN="Pidgin"'],
+	    c_args : ['-DPIDGIN_COMPILATION', '-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="Pidgin"'],
 	    include_directories : [toplevel_inc, include_directories('prefs')],
 	    version : PURPLE_LIB_VERSION,
 	    dependencies : _libpidgin_dependencies,
@@ -252,7 +252,7 @@ if ENABLE_GTK
 
 	pidgin = executable('pidgin3',
 	    pidgin_SOURCES,
-	    c_args : ['-DPIDGIN_COMPILATION', '-DG_LOG_DOMAIN="Pidgin"'],
+	    c_args : ['-DPIDGIN_COMPILATION', '-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="Pidgin"'],
 	    include_directories : toplevel_inc,
 	    dependencies : IS_WIN32 ? [] : [libpurple_dep, libpidgin_dep],
 	    win_subsystem : 'windows',
diff --git a/pidgin/plugins/disco/meson.build b/pidgin/plugins/disco/meson.build
--- a/pidgin/plugins/disco/meson.build
+++ b/pidgin/plugins/disco/meson.build
@@ -12,6 +12,7 @@ xmppdisco_resource = gnome.compile_resou
 xmppdisco_SOURCES += xmppdisco_resource
 
 xmppdisco = library('xmppdisco', xmppdisco_SOURCES,
+    c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="PidginPlugin-XMPPDisco"'],
     dependencies : [libpurple_dep, libpidgin_dep, glib],
     name_prefix : '',
     install : true, install_dir : PIDGIN_PLUGINDIR)
diff --git a/pidgin/plugins/gestures/meson.build b/pidgin/plugins/gestures/meson.build
--- a/pidgin/plugins/gestures/meson.build
+++ b/pidgin/plugins/gestures/meson.build
@@ -7,6 +7,7 @@ gestures_SOURCES = [
 ]
 
 gestures = library('gestures', gestures_SOURCES,
+    c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="PidginPlugin-Gestures"'],
     dependencies : [libpurple_dep, libpidgin_dep, glib],
     name_prefix : '',
     install : true, install_dir : PIDGIN_PLUGINDIR)
diff --git a/pidgin/plugins/meson.build b/pidgin/plugins/meson.build
--- a/pidgin/plugins/meson.build
+++ b/pidgin/plugins/meson.build
@@ -3,27 +3,32 @@ subdir('gestures')
 subdir('xmppconsole')
 
 gtkbuddynote = library('gtkbuddynote', 'gtkbuddynote.c',
+    c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="PidginPlugin-BuddyNote"'],
     dependencies : [libpurple_dep, libpidgin_dep, glib],
     name_prefix : '',
     install : true, install_dir : PIDGIN_PLUGINDIR)
 
 iconaway = library('iconaway', 'iconaway.c',
+    c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="PidginPlugin-IconAway"'],
     dependencies : [libpurple_dep, libpidgin_dep, glib],
     name_prefix : '',
     install : true, install_dir : PIDGIN_PLUGINDIR)
 
 notify = library('notify', 'notify.c',
+    c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="PidginPlugin-Notify"'],
     dependencies : [libpurple_dep, libpidgin_dep, glib],
     name_prefix : '',
     build_by_default: false,
     install : false, install_dir : PIDGIN_PLUGINDIR)
 
 relnot = library('relnot', 'relnot.c',
+    c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="PidginPlugin-RelNot"'],
     dependencies : [libpurple_dep, libpidgin_dep, libsoup, glib],
     name_prefix : '',
     install : true, install_dir : PIDGIN_PLUGINDIR)
 
 spellchk = library('spellchk', 'spellchk.c',
+    c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="PidginPlugin-SpellCheck"'],
     dependencies : [libpurple_dep, libpidgin_dep, glib],
     name_prefix : '',
     build_by_default: false,
@@ -31,6 +36,7 @@ spellchk = library('spellchk', 'spellchk
 
 if IS_WIN32
 	transparency = library('transparency', 'transparency.c',
+		c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="PidginPlugin-Transparency"'],
 		dependencies : [libpurple_dep, libpidgin_dep, glib],
 		name_prefix : '',
 		install : true, install_dir : PIDGIN_PLUGINDIR)
@@ -38,6 +44,7 @@ endif
 
 if enable_unity
 	unity = library('unity', 'unity.c',
+	    c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="PidginPlugin-Unity"'],
 	    dependencies : [UNITY, libpurple_dep, libpidgin_dep, glib],
 	    name_prefix : '',
 	    install : true, install_dir : PIDGIN_PLUGINDIR)
diff --git a/pidgin/plugins/xmppconsole/meson.build b/pidgin/plugins/xmppconsole/meson.build
--- a/pidgin/plugins/xmppconsole/meson.build
+++ b/pidgin/plugins/xmppconsole/meson.build
@@ -4,6 +4,7 @@ xmppconsole_resource = gnome.compile_res
 
 library('xmppconsole',
     'xmppconsole.c', xmppconsole_resource,
+    c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="PidginPlugin-XMPPConsole"'],
     dependencies : [libpurple_dep, libpidgin_dep, glib],
     name_prefix : '',
     install : true, install_dir : PIDGIN_PLUGINDIR)
